## vdr-plugin-sudoku 0.3.4

=== tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Sudoku: A plug-in for the Video Disk Recorder
 #
-# Copyright (C) 2005-2007, Thomas Gnther <tom@toms-cafe.de>
+# Copyright (C) 2005-2008, Thomas Gnther <tom@toms-cafe.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 #
-# $Id: Makefile 106 2007-12-03 23:28:24Z tom $
+# $Id: Makefile 161 2008-11-23 00:18:02Z tom $
 
 # Define STATIC_LINK=1 to force static linking
 #STATIC_LINK = 1
@@ -27,7 +27,8 @@
 
 PROGRAM = sudoku_generator
 
-SRCS = ../puzzle.cpp ../generator.cpp ../solver.cpp ../backtrack.cpp
+SRCS = ../puzzle.cpp ../generator.cpp ../solver.cpp ../backtrack.cpp \
+       ../history.cpp
 
 VERSION = $(shell sed -ne '/static .* VERSION *=/s/^.*"\(.*\)".*$$/\1/p' \
                       ../sudoku.cpp)
@@ -44,6 +45,20 @@
     DEFINES += -DWITH_TEST
 endif
 
+### Directories:
+
+prefix = /usr/local
+bindir = $(prefix)/bin
+mandir = $(prefix)/share/man
+man1dir = $(mandir)/man1
+
+### Tools:
+
+INSTALL = install
+INSTALL_DIRS = $(INSTALL) -d
+INSTALL_PROG = $(INSTALL)
+INSTALL_DATA = $(INSTALL) -m u=rw,g=r,o=r
+
 ### Targets:
 
 all: $(PROGRAM)
@@ -51,5 +66,10 @@
 $(PROGRAM): $(PROGRAM).cpp $(SRCS) $(SRCS:%.cpp=%.h)
 	$(CXX) $(CXXFLAGS) $(DEFINES) $(INCLUDES) -o $@ $(PROGRAM).cpp $(SRCS)
 
+install: all
+	$(INSTALL_DIRS) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)
+	$(INSTALL_PROG) $(PROGRAM) $(DESTDIR)$(bindir)/
+	$(INSTALL_DATA) $(PROGRAM).1 $(DESTDIR)$(man1dir)/
+
 clean:
 	@-rm -f $(PROGRAM) core* *~
