## vdr-plugin-sudoku 0.3.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Sudoku: A plug-in for the Video Disk Recorder
 #
-# Copyright (C) 2005-2007, Thomas Gnther <tom@toms-cafe.de>
+# Copyright (C) 2005-2010, Thomas Günther <tom@toms-cafe.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,8 +16,6 @@
 # You should have received a copy of the GNU General Public License along
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-#
-# $Id: Makefile 106 2007-12-03 23:28:24Z tom $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -42,6 +40,10 @@
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
+
+### Make sure that necessary options are included:
+
+-include $(VDRDIR)/Make.global
 
 ### Allow user defined options to overwrite defaults:
 
@@ -109,12 +111,15 @@
 	$(CXX) $(CXXFLAGS) -shared $^ -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
+.PHONY: tests
+tests:
+	@cd $@ && $(MAKE)
+
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
-	@tar czf $(PACKAGE).tgz -C $(TMPDIR) \
-	     --exclude debian --exclude CVS --exclude .svn $(ARCHIVE)
+	@tar czf $(PACKAGE).tgz -C $(TMPDIR) --exclude debian $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
@@ -125,3 +130,4 @@
 	@-rm -f $(DEPFILE) *.o *.so $(I18Npot) *.tgz core* *~
 	@-rm -rf srcdoc
 	@cd tools && $(MAKE) clean
+	@cd tests && $(MAKE) clean
