=== tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Sudoku: A plug-in for the Video Disk Recorder
 #
-# Copyright (C) 2005-2008, Thomas Gnther <tom@toms-cafe.de>
+# Copyright (C) 2005-2008, Thomas Günther <tom@toms-cafe.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,8 +16,6 @@
 # You should have received a copy of the GNU General Public License along
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-#
-# $Id: Makefile 161 2008-11-23 00:18:02Z tom $
 
 # Define STATIC_LINK=1 to force static linking
 #STATIC_LINK = 1
