=== debian/control ===
Source: vdr-plugin-sudoku
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Günther <tom@toms-cafe.de>, Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config, gettext
Standards-Version: 3.9.8
Homepage: http://toms-cafe.de/vdr/sudoku/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-sudoku.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-sudoku.git

Package: vdr-plugin-sudoku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR-Plugin to generate and solve Sudokus
 This plugin generates Number Place puzzles, so called Sudokus, and let you
 solve it.
 .
 A Sudoku puzzle consists of 9 x 9 cells subdivided into 9 regions with 3 x 3
 cells. The rules are simple. There have to be the numbers from 1 to 9 in every
 row, column and region. In the beginning some numbers are given. These cells
 are painted with cyan background color. The aim of the puzzle is to find the
 missing numbers. There is only one solution of a Sudoku puzzle.
