=== debian/watch ===
version=2
http://projects.vdr-developer.org/projects/plg-sudoku/files .*/vdr-sudoku-(.*)\.tgz
